ID Fraud Shield Disabled
This is Liveness Transaction Details API when ID Fraud Shield is disabled. In this configuration, the API returns the result generated by the VIDA Liveness detection engine without additional fraud analysis. ID Fraud Shield is not enabled in this setup, therefore the response will only include the liveness verification result. To retrieve the transaction details, partners must provide the transaction ID obtained from the Liveness API response or the SDK liveness output.
Liveness API
GET https://{vida.host}/biometrics/v3/services/face/liveliness?transactionId={UUID}
Headers
Authorization*
OAuth access token.
Get the token by calling the
Authentication API
API Response
Transaction Details Found Successfully
Case 1 : Liveness transaction completed successfully with scores below threshold.
HTTP Status Code: 200
Case 2 : Liveness transaction completed successfully with scores above threshold.
HTTP Status Code: 200
Case 3 : Liveness transaction failed due to particular reason.
HTTP Status Code: 200
Transaction Details Not Found
HTTP Status Code: 404
Liveness Fraud Ops Transaction Details
VIDA Liveness Fraud Ops is a near-real-time manual fraud review system for VIDA liveness service. When your system accepts a user's liveness check based on VIDA’s automated evaluation, Fraud Ops intercepts that session for deeper inspection — especially when the session score passes the AI threshold but may still exhibit signs of spoofing.
When VIDA detects potential fraud through its Fraud Ops, by a specially-trained human, you can receive the notification via webhook, or actively hit the Liveness Transaction Details API with added details.
To learn more about Fraud Ops Webhook Notification, please refer to Fraud Ops Notification
API Endpoint
GET https://{vida.host}/biometrics/v2/services/face/liveliness?transactionId={UUID}
Headers
Authorization*
OAuth access token.
Get the token by calling the
Authentication API
API Response
manualReview
JSON Object
Details of manual review from the queried liveness transaction
ticketId
string
Unique reference ID to the manual review ticket, for auditing or support purpose
assessment
string
Result of the manual review by specially-trained human.
SPOOF indicates a confirmed fraud by human agent
reason
string
Brief explanation of the attack and spoof type
Last updated
